//============================================================================
//============================================================================
//
// Financial Applications of Excel Add-in Development in C/C++ (2nd edition)
// 
// Author: Steve Dalton
// 
// Published by John Wiley & Sons Ltd, The Atrium, Southern Gate, Chichester,
// West Sussex, PO19 8SQ, UK.
// 
// All intellectual property rights and copyright in the code listed in this
// module are reserved.  You may reproduce and use this code only as permitted
// in the Rules of Use that you agreed to on installation.  To use the material
// in this source module, or material derived from it, in any other way you
// must first obtain written permission.  Requests for permission can be sent
// by email to permissions@eigensys.com.
// 
// No warranty, explicit or implied, is made by either the author or publisher
// as to the quality, fitness for a particular purpose, accuracy or
// appropriateness of material in this module.  The code and methods contained
// are intended soley for example and clarification.  You should not rely on
// any part of this code without having completely satisfied yourself that it
// is correct and appropriate for your needs.
//
//============================================================================
//============================================================================
// This source file contains examples relating to the addition and removal of
// a custom menus and event traps, the display of custom dialogs and the
// running of regularly-repeating timed commands.
//============================================================================
//============================================================================
#include <windows.h>
#include "XllAddIn.h"

//========================================================================
// This function is called from xlAutoOpen and xlAutoClose.
// Depending on the value of set_up, it creates or deletes custom menus,
// event traps, etc.
//========================================================================

#define NUM_MENU_ITEMS		3

void customise_Excel_UI(bool set_up)
{
	char *menu_txt[NUM_MENU_ITEMS * 2] =
	{// Appears on menu:			Cmd registered as:			
		"&Skeleton",			"",
		"&Example command",		"ExampleCmdExport",
		"&Long tasks...",		"LongTaskConfigCmd",
	};

	cpp_xloper MenuRef((RW)NUM_MENU_ITEMS, (COL)2, menu_txt); // 2 columns
	cpp_xloper CmdRef((RW)1, (COL)2, menu_txt + 2); // 1 row, 2 columns
	cpp_xloper BarNum(10); // the worksheet menu bar
	cpp_xloper RetVal;
	cpp_xloper Menu;

//----------------------------------------------------------------
// Example menu: "&Skeleton"
//----------------------------------------------------------------
	if(set_up)
	{
		RetVal.Excel(xlfAddMenu, 2, &BarNum, &MenuRef);
	}
	else
	{			
		Menu = "&XLL Example";
		RetVal.Excel(xlfDeleteMenu, 2, &BarNum, &Menu);
	}

}
//=================================================================
